Subject: [ietf-runners] [106attendees] Local-ish Yoga (fwd) "Livingood, Jason": [106attendees] Local-ish Yoga

From: Michael Richardson <[email-masked]>
Date: Sun, 17 Nov 2019 10:38:29 +0800

Subject: [106attendees] Local-ish Yoga
From: "Livingood, Jason" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sat, 16 Nov 2019 02:41:01 +0000
List-Id: Mailing list of all 106 attendees for official communication <106attendees.ietf.org>

If you are looking for a place to practice yoga, especially if you like hot yoga, I can recommend Yoga Movement. It is a short taxi ride or walk – and they have several locations. I visited them last time I was in Singapore and just a short time ago as well. The two closest are “Circular Road” at 1a Lor Telok, Singapore 049014 and “Orchard Road” at 22 Orchard Rd, #02-01 Singapore 238885. You setup your account & pay/reserve you mat in advance online.

https://www.yogamovement.com/

Jason
--
106attendees mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/106attendees